k_dot {keras} | R Documentation

## Multiplies 2 tensors (and/or variables) and returns a tensor.

### Description

When attempting to multiply a nD tensor with a nD tensor, it reproduces the Theano behavior. (e.g. `(2, 3) * (4, 3, 5) -> (2, 4, 5)`)

### Usage

    k_dot(x, y)

### Arguments

`x` | Tensor or variable.
`y` | Tensor or variable.

### Value

A tensor, dot product of `x` and `y`.

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]